Page MenuHomePhabricator

ContribsPager::tryToCreateValidRevision returns Revision objects
Closed, ResolvedPublic

Description

It needs to be replaced with something that returns RevisionRecord (or null) instead of Revision (or null)

  • Add core replacement, soft deprecate
  • Update MobileFrontend
  • Hard deprecate

Event Timeline

DannyS712 triaged this task as Medium priority.Apr 16 2020, 7:36 PM
DannyS712 created this task.
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.

Only use is in core's ContribsPager itself and MobileFrontend's SpecialMobileContributions

Change 592513 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Add ContribsPager::tryCreatingRevisionRecord

https://gerrit.wikimedia.org/r/592513

DannyS712 moved this task from Next to In progress on the User-DannyS712 board.Apr 27 2020, 7:13 AM

Change 592785 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MobileFrontend@master] SpecialMobileContributions: remove all uses of Revision objects

https://gerrit.wikimedia.org/r/592785

DannyS712 updated the task description. (Show Details)Apr 27 2020, 10:57 PM

Change 592513 merged by jenkins-bot:
[mediawiki/core@master] Add ContribsPager::tryCreatingRevisionRecord

https://gerrit.wikimedia.org/r/592513

DannyS712 updated the task description. (Show Details)Apr 27 2020, 11:17 PM

Change 592785 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] SpecialMobileContributions: remove all uses of Revision objects

https://gerrit.wikimedia.org/r/592785

DannyS712 updated the task description. (Show Details)Apr 29 2020, 3:39 PM

Change 593261 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate ContribsPager::tryToCreateValidRevision

https://gerrit.wikimedia.org/r/593261

Change 593261 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate ContribsPager::tryToCreateValidRevision

https://gerrit.wikimedia.org/r/593261

DannyS712 closed this task as Resolved.May 1 2020, 7:43 PM
DannyS712 updated the task description. (Show Details)